> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show a form

> Show one form with its questions, in the order they appear on the form.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/api/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/forms.yaml GET /forms/{form_id}
openapi: 3.0.3
info:
  title: NeetoForm APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}:
    get:
      tags:
        - Forms
      summary: Show a form
      description: Show one form with its questions, in the order they appear on the form.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/form_with_questions'
        '404':
          description: Not Found - The form does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Form does not exist.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    form_with_questions:
      allOf:
        - $ref: '#/components/schemas/form'
        - type: object
          properties:
            questions:
              type: array
              items:
                $ref: '#/components/schemas/question'
    error_response:
      type: object
      properties:
        error:
          type: string
    form:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        is_published:
          type: boolean
        state:
          type: string
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
        submissions_count:
          type: integer
        attempt_url:
          type: string
        is_archived:
          type: boolean
        is_disabled:
          type: boolean
        is_suspended:
          type: boolean
        created_by:
          type: string
    question:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        kind:
          type: string
        slug:
          type: string
        position:
          type: integer
        is_required:
          type: boolean
        is_hidden:
          type: boolean
    date_time_field:
      type: string
      format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.